#ifndef SIGMA_DELTA_8
#define SIGMA_DELTA_8

#include <vstypes.h>

#ifndef ASM

struct SigmaDelta8 {
  s_int32 mem[2];
};

void InitSigmaDelta8(register __i0 struct SigmaDelta8 *mod);
void RunSigmaDelta8(register __i0 struct SigmaDelta8 *mod,
		    register __i2 s_int16 *data, register __d0 s_int16 n);
void ScaleSigmaDelta8To16Bit(register __i2 s_int16 *data,
			     register __d0 s_int16 n);

#endif /* !ASM */

#endif /* !SIGMA_DELTA_8 */
